Tue Jan  2 13:23:29 MSK 2007  Pavel Shramov <psha@voodoo>
  * openldap compile fix
diff -rN -u old-res_auth/res/res_auth.c new-res_auth/res/res_auth.c
--- old-res_auth/res/res_auth.c	2007-01-02 13:55:30.000000000 +0300
+++ new-res_auth/res/res_auth.c	2007-01-02 13:55:30.000000000 +0300
@@ -412,7 +412,7 @@
 
 static int parse_config(void)
 {
-	const struct ast_config *config;
+	struct ast_config *config;
 	const char *s;
 
 	config = ast_config_load(RES_AUTH_CONF);
@@ -459,9 +459,12 @@
 			ast_log(LOG_ERROR, "user_password_attribute is needed.\n");
 		} else 
 			ast_copy_string(userpw_attr, s, sizeof(userpw_attr));
+#endif /* HAVE_OPENLDAP */
 
+		ast_config_destroy(config);
 	}
 
+#ifdef HAVE_OPENLDAP
 	ast_log(LOG_NOTICE, "LDAP Host: %s\n", dbhost);
 	ast_log(LOG_NOTICE, "LDAP Port: %i\n", dbport);
 	ast_log(LOG_NOTICE, "LDAP User: %s\n", dbuser);
@@ -471,14 +474,15 @@
 	ast_log(LOG_NOTICE, "LDAP User password attribute: %s\n", userpw_attr);
 #endif /* HAVE_OPENLDAP */
 
-	ast_config_destroy(config);
 	return 1;
 }
 
 
 static int unload_module(void)
 {
+#ifdef HAVE_OPENLDAP
 	ldap_disconnect();
+#endif /* HAVE_OPENLDAP */
 	ast_log(LOG_NOTICE, "res_auth unloaded.\n");
 	return 0;
 }

